//>>> shadow2004::Updates-Prefspage
#pragma once

class CPPgUpdates : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgUpdates)

public:
	CPPgUpdates();
	virtual ~CPPgUpdates();

// Dialog Data
	enum { IDD = IDD_PPG_UPDATES };

	void Localize(void);

protected:

	void LoadSettings(void);

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()		{ SetModified();}
//>>> shadow2004::IP2Country [EastShare]
	afx_msg void OnBnClickedI2CUpdate();
	afx_msg	void OnBnClickedResetI2CURL();
//<<< shadow2004::IP2Country [EastShare]
//>>> shadow2004::ModIconDLL Update
	afx_msg void OnBnClickedMIMUpdate();
	afx_msg	void OnBnClickedResetMIMURL();
//<<< shadow2004::ModIconDLL Update
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

//>>> shadow2004::Tabbed Prefs [TPT] reworked
private:
	enum eTab	{NONE, Updates1, Updates2};
	CTabCtrl	m_tabCtr;
	eTab		m_currentTab;
	CImageList	m_imageList;
	void		SetTab(eTab tab);

public:
	afx_msg void OnTcnSelchangeTabUpdates1(NMHDR *pNMHDR, LRESULT *pResult);
	void	InitTab(const bool firstinit, const int Page = 0);
//<<< shadow2004::Tabbed Prefs [TPT] reworked
};
